Subject: [Iccrg] MulTFRC update: draft-irtf-iccrg-multfrc-01
From: [email-masked] (Michael Welzl)
Date: Sat Jul 31 22:34:51 2010

Dear all,

At yesterday's ICCRG meeting, I said that I would submit a minimal  
update of our draft
immediately after the meeting (fixing minor syntactical issues). This  
update is now
available:    http://www.ietf.org/id/draft-irtf-iccrg-multfrc-01.txt

and here's the link to our MulTFRC website:
http://heim.ifi.uio.no/~michawe/research/projects/multfrc/index.html

My first presentation of this document to ICCRG is now exactly a year  
ago; we would
therefore like to move ahead with this as soon as possible now. Thus,  
please provide
any comments that you may have by the end of August, preferrably  
earlier.

Thank you!

Cheers,
Michael

From: [email-masked] (Nandita Dukkipati)
Date: Fri Jul 23 06:16:15 2010
Subject: [Iccrg] IW slides for ICCRG meeting @ IETF78
Message-ID: <[email-masked]>

Hi, Michael,

Please find the presentation slides on Increasing TCP's Initial Window at
this link:
http://code.google.com/speed/protocols/Increasing_TCPs_Initial_Window_IETF78.pdf

The link for the I-D is
http://www.ietf.org/id/draft-hkchu-tcpm-initcwnd-01.txt

Thanks,
-Nandita
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://oakham.cs.ucl.ac.uk/pipermail/iccrg/attachments/20100722/d1582735/attachment.html
>From [email-masked]  Sun Jul 25 23:00:50 2010
From: [email-masked] (Nandita Dukkipati)
Date: Sun Jul 25 22:59:58 2010
Subject: [Iccrg] Re: Related work on increasing the initial window
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <AANLkTi=frrfu1=[email-masked]>

Thanks! for sharing your work.

Unfortunately, I cannot attend the ICCRG session on Friday. But if
> someone has questions concerning my work, I'd be happy to answer them.

Are you around and attending IETF-78, even if not attending the ICCRG
session? If you are around, I would like to discuss your work and would be
happy to summarize the discussion to the list.

-Nandita
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://oakham.cs.ucl.ac.uk/pipermail/iccrg/attachments/20100725/73274638/attachment.html
>From [email-masked]  Sun Jul 25 12:37:53 2010
From: [email-masked] (SCHARF, Michael)
Date: Mon Jul 26 10:41:44 2010
Subject: [Iccrg] Related work on increasing the initial window
Message-ID: <[email-masked]>

Dear all,

I received some request to disclose some of my unpublished work on fast
startup congestion control, which I did last year at the University of
Stuttgart.

As already presented in previous ICCRG meetings, I played with some
simulation studies in order to compare an initial window of 10 MSS with
other alternatives, and I also did some tests concerning potential
unfairness. Please find enclosed some selected results from that work,
which is not published so far.

I apologize that the slides do not explain the experiments and
parameters in all details, and that they only cover selected results.
Unfortunately, I cannot attend the ICCRG session on Friday. But if
someone has questions concerning my work, I'd be happy to answer them.

Best regards

Michael

-------------- next part --------------
A non-text attachment was scrubbed...
Name: phd_summary.pdf
Type: application/octet-stream
Size: 237766 bytes
Desc: phd_summary.pdf
Url : http://oakham.cs.ucl.ac.uk/pipermail/iccrg/attachments/20100725/9127df7d/phd_summary-0001.obj
>From [email-masked]  Thu Jul 29 11:48:44 2010
From: [email-masked] (Michael Welzl)
Date: Thu Jul 29 11:47:32 2010
Subject: [Iccrg] Scribes for tomorrow's meeting
Message-ID: <[email-masked]>

Hi all,

I will have to be very strict about keeping with the planned time
slots for presentations tomorrow; we have no time to lose, given
that the larger initial window presentations are likely to cause
a lot of discussion. I think we have to consider this as the
most important part of this meeting, as this is about a draft
that's currently being proposed in TCPM, and TCPM doesn't
meet in Maastricht.

(side note: it is, of course, clear that we cannot make any
decisions on behalf of them)

To make things as efficient as possible at this meeting, it
would be GREAT if two scribes and at least one Jabber scribe
would volunteer beforehand. If you'd be willing to do take care
of these tasks, please send me a note!

Thanks,

cheers,
Michael

From: [email-masked] (Michael Welzl)
Date: Wed Jul 21 13:37:44 2010
Subject: [Iccrg] ICCRG meeting @ IETF78 agenda
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

... another update. now we have the time slot full.
this is going to be a fun session, with so much time devoted to the  
initial window size  :-)

On Jul 14, 2010, at 5:28 PM, Michael Welzl wrote:

> Agenda updated:
>
> http://www.ietf.org/proceedings/78/agenda/iccrg.txt
>
> Changes: draft update, presenter name update, talk by Matt Mathis  
> added.
>
> Cheers,
> Michael
>
>
> On Jul 12, 2010, at 2:21 PM, Michael Welzl wrote:
>
>> Hi all,
>>
>> A draft agenda of the ICCRG meeting is here:
>> http://www.ietf.org/proceedings/78/agenda/iccrg.txt
>>
>> We still have quite some space available, in case anyone would like
>> to give a talk; send any suggestions, or other comments, to Wes
>> and me please. Thanks!
>>
>> Cheers,
>> Michael
>>
>>
>> _______________________________________________
>> Iccrg mailing list
>> [email-masked]
>> http://oakham.cs.ucl.ac.uk/mailman/listinfo/iccrg
>
>
> _______________________________________________
> Iccrg mailing list
> [email-masked]
> http://oakham.cs.ucl.ac.uk/mailman/listinfo/iccrg

From: [email-masked] (Michael Welzl)
Date: Fri Jul 16 23:17:27 2010
Subject: [Iccrg] Re: [IRSG] AD review:  draft-irtf-iccrg-welzl-congestion-control-open-research-07
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

Dear ICCRG,

draft-irtf-iccrg-welzl-congestion-control-open-research-07:
http://tools.ietf.org/html/draft-irtf-iccrg-welzl-congestion-control-open-research-07
is now in one of the last phases before RFC publication. One
issue that needs to be addressed is:

(from Lars Eggert):

> Section 1., paragraph 1:
>>   This document, result of the ICCRG Research Group, describes some
>>   of the open research topics in the domain of Internet congestion
>>   control that are known today.
>
>  The introduction does not adequately describe what level of consensus
>  and review this document has received in the ICCRG. See RFC5743
>  Section 2.1.

Our intention is to change this text to:

"This document represents the consensus of the ICCRG."

but I want to make sure that noone has a problem with this.

Given that this has been on our agenda for a long time now, and
received a lot of support from the group, via emails and meetings,
I think it's probably acceptable to go for a very short deadline here:
If you don't agree with this consensus, please say so by
the end of next week, i.e. before the meeting.

Thanks,

cheers,
Michael

From: [email-masked] (Lars Eggert)
Date: Fri Jul 16 13:00:27 2010
Subject: [Iccrg] AD review: draft-irtf-iccrg-welzl-congestion-control-open-research-07
Message-ID: <[email-masked]>

Hi,

please find my RFC5742 review below. In short, there are no blocking issues, but the document would be improved by a revision that fixes the significant editorial nits in order to save the RFC Editor some work.

Please let me know if you want to do this revision, or if I should move the document forward as-is.

Lars

  The document has a significant amount of ID-nits that should have been
  found - at the latest - during the IRSG review and fixed before this
  was forwarded to the IESG. In short: missing status, no IANA section,
  superfluous RFC2199 boilerplate and a HUGE list of missing or unused
  references, splitting references into normative/informative, etc.
  (Hint: you need to do the latter so idnits generates useful warnings
  on missing/unused references.)

  This is not a reason to hold up the document (per RFC5742), but since
  the RFC Editor will have a very difficult time at guessing how these
  should be fixed up before publication, you may want to fix these nits
  for them, in order to speed up the document processing.

Section 1., paragraph 1:
>    This document, result of the ICCRG Research Group, describes some
>    of the open research topics in the domain of Internet congestion
>    control that are known today.

  The introduction does not adequately describe what level of consensus
  and review this document has received in the ICCRG. See RFC5743
  Section 2.1.

Section 3.3, paragraph 28:
>      This issue is under discussion in the Transport Area Working Group.

  Statements about which topics are being discussed where are unlikely
  to have long-term archival interest. Suggest to rephrase. (There are
  also other instances of this in the document.)

Section 5., paragraph 0:
> 5. References

  Splitting references into normative and informative is a requirement
  for RFCs, please do so.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/pkcs7-signature
Size: 3815 bytes
Desc: not available
Url : http://oakham.cs.ucl.ac.uk/pipermail/iccrg/attachments/20100716/475dbec9/smime.bin
>From [email-masked]  Fri Jul 16 18:25:31 2010
From: [email-masked] (Yuchung Cheng)
Date: Fri Jul 16 18:24:47 2010
Subject: [Iccrg] ICCRG meeting @ IETF78 agenda
In-Reply-To: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
Message-ID: <[email-masked]>

Hello Mihael,

The slides for my I-D draft talk is available at
http://code.google.com/speed/protocols/rtoseedsynrtt.ppt

I-D
https://tools.ietf.org/html/draft-ycheng-tcpm-rtosynrtt-00

Thanks

Yuchung

On Wed, Jul 14, 2010 at 8:28 AM, Michael Welzl <[email-masked]> wrote:

> Agenda updated:
>
>
> http://www.ietf.org/proceedings/78/agenda/iccrg.txt
>
> Changes: draft update, presenter name update, talk by Matt Mathis added.
>
> Cheers,
> Michael
>
>
>
> On Jul 12, 2010, at 2:21 PM, Michael Welzl wrote:
>
>  Hi all,
>>
>> A draft agenda of the ICCRG meeting is here:
>> http://www.ietf.org/proceedings/78/agenda/iccrg.txt
>>
>> We still have quite some space available, in case anyone would like
>> to give a talk; send any suggestions, or other comments, to Wes
>> and me please. Thanks!
>>
>> Cheers,
>> Michael
>>
>>
>> _______________________________________________
>> Iccrg mailing list
>> [email-masked]
>> http://oakham.cs.ucl.ac.uk/mailman/listinfo/iccrg
>>
>
>
> _______________________________________________
> Iccrg mailing list
> [email-masked]
> http://oakham.cs.ucl.ac.uk/mailman/listinfo/iccrg
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://oakham.cs.ucl.ac.uk/pipermail/iccrg/attachments/20100716/a7782db5/attachment.html
>From [email-masked]  Fri Jul 16 23:11:17 2010
From: [email-masked] (Michael Welzl)
Date: Fri Jul 16 23:11:51 2010
Subject: [Iccrg] Re: [IRSG] AD review: 
 draft-irtf-iccrg-welzl-congestion-control-open-research-07
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

Hi,

We want to do this revision. Thanks a lot for bringing these problems
to our attention!

Cheers,
Michael

On Jul 16, 2010, at 2:00 PM, Lars Eggert wrote:

> Hi,
>
> please find my RFC5742 review below. In short, there are no blocking  
> issues, but the document would be improved by a revision that fixes  
> the significant editorial nits in order to save the RFC Editor some  
> work.
>
> Please let me know if you want to do this revision, or if I should  
> move the document forward as-is.
>
> Lars
>
>
>
>  The document has a significant amount of ID-nits that should have  
> been
>  found - at the latest - during the IRSG review and fixed before this
>  was forwarded to the IESG. In short: missing status, no IANA section,
>  superfluous RFC2199 boilerplate and a HUGE list of missing or unused
>  references, splitting references into normative/informative, etc.
>  (Hint: you need to do the latter so idnits generates useful warnings
>  on missing/unused references.)
>
>  This is not a reason to hold up the document (per RFC5742), but since
>  the RFC Editor will have a very difficult time at guessing how these
>  should be fixed up before publication, you may want to fix these nits
>  for them, in order to speed up the document processing.
>
>
> Section 1., paragraph 1:
>>   This document, result of the ICCRG Research Group, describes some
>>   of the open research topics in the domain of Internet congestion
>>   control that are known today.
>
>  The introduction does not adequately describe what level of consensus
>  and review this document has received in the ICCRG. See RFC5743
>  Section 2.1.
>
>
> Section 3.3, paragraph 28:
>>     This issue is under discussion in the Transport Area Working  
>> Group.
>
>  Statements about which topics are being discussed where are unlikely
>  to have long-term archival interest. Suggest to rephrase. (There are
>  also other instances of this in the document.)
>
>
> Section 5., paragraph 0:
>> 5. References
>
>  Splitting references into normative and informative is a requirement
>  for RFCs, please do so.
>
> _______________________________________________
> IRSG mailing list
> [email-masked]
> http://mailman.isi.edu/mailman/listinfo/irsg

From: [email-masked] (Michael Welzl)
Date: Wed Jul 14 16:27:45 2010
Subject: [Iccrg] ICCRG meeting @ IETF78 agenda
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

Agenda updated:

http://www.ietf.org/proceedings/78/agenda/iccrg.txt

Changes: draft update, presenter name update, talk by Matt Mathis added.

Cheers,
Michael

On Jul 12, 2010, at 2:21 PM, Michael Welzl wrote:

> Hi all,
>
> A draft agenda of the ICCRG meeting is here:
> http://www.ietf.org/proceedings/78/agenda/iccrg.txt
>
> We still have quite some space available, in case anyone would like
> to give a talk; send any suggestions, or other comments, to Wes
> and me please. Thanks!
>
> Cheers,
> Michael
>
>
> _______________________________________________
> Iccrg mailing list
> [email-masked]
> http://oakham.cs.ucl.ac.uk/mailman/listinfo/iccrg

From: [email-masked] (Michael Welzl)
Date: Fri Jul  9 09:09:18 2010
Subject: Fwd: [Iccrg] MulTFRC update
References: <[email-masked]>
Message-ID: <[email-masked]>

Hi,

FYI, feedback from one of the reviewers. He agreed to have this  
forwarded to the list.

Cheers,
Michael

Begin forwarded message:

> From: Dirceu Cavendish <[email-masked]>
> Date: July 6, 2010 4:27:14 PM GMT+02:00
> To: Michael Welzl <[email-masked]>
> Subject: Re: [Iccrg] MulTFRC update
>
> Thanks for addressing the issues raised in the review process,  
> Michael - some of which I have authored. You have my support to  
> going forward...
>
> Rgds,
> Dirceu
>
>
>
>
> From: Michael Welzl <[email-masked]>
> To: "[email-masked] list" <[email-masked]>
> Sent: Tue, July 6, 2010 2:29:22 AM
> Subject: [Iccrg] MulTFRC update
>
> Hello,
>
> We submitted an update of our MulTFRC draft, in which we tried to  
> address the
> comments that we have received. After it was presented to DCCP, and  
> there,
> it was said that ICCRG would be a better place for the draft, it is  
> now called
> draft-irtf-iccrg-multfrc-00.txt.
> http://tools.ietf.org/html/draft-irtf-iccrg-multfrc-00.txt
>
> The majority of the comments revolved around the possible problems  
> with
> implementing our equation; we have addressed this by including an  
> appendix
> in which it is discussed that our algorithm provided for this  
> calculation will
> not give underflow, overflow or rounding errors that will adversely  
> affect the
> result of the algorithm.
>
> On our MulTFRC page:
> http://heim.ifi.uio.no/~michawe/research/projects/multfrc/index.html
>
> You will now also find two very small Java programs on this page,
> which implement the TFRC and MulTFRC equations with a GUI, as
> an easy means to test input / output values and obtain reference  
> values
> for validating an implementation.
>
> Lachlan commented that the MulTFRC doesn't scale with the  
> bandwidth*delay
> product, which we addressed with a new paragraph under "usage  
> considerations",
> where we document this fact and explain that, for this reason, it is  
> not
> recommended to use MulTFRC as a fix to the problem of saturating very
> large bandwidth*delay product paths.
>
> It was also requested to have a reference which includes the  
> equation's
> derivation. MulTFRC was developed by Dragana Damjanovic in her Ph.D.  
> thesis,
> which is now finished, and available from our MulTFRC page. This  
> document
> includes the derivation of the equation and quite many results:
> - validations of the equation using simulations and real-life  
> measurements
> - MulTFRC tests using simulations and real-life measurements
>
> One small mistake that happened to me just now is that I forgot to  
> explicitly
> reference this document in the draft; sorry, I will fix this in the  
> next update.
>
> I intend to present this update at the upcoming ICCRG meeting.
> Any comments are welcome!
>
> Cheers,
> Michael
>
>
> _______________________________________________
> Iccrg mailing list
> [email-masked]
> http://oakham.cs.ucl.ac.uk/mailman/listinfo/iccrg
>
>

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://oakham.cs.ucl.ac.uk/pipermail/iccrg/attachments/20100709/56b8ad67/attachment.html
>From [email-masked]  Mon Jul 12 13:21:54 2010
From: [email-masked] (Michael Welzl)
Date: Mon Jul 12 13:21:29 2010
Subject: [Iccrg] ICCRG meeting @ IETF78 agenda
Message-ID: <[email-masked]>

Hi all,

A draft agenda of the ICCRG meeting is here:
http://www.ietf.org/proceedings/78/agenda/iccrg.txt

We still have quite some space available, in case anyone would like
to give a talk; send any suggestions, or other comments, to Wes
and me please. Thanks!

Cheers,
Michael

From: [email-masked] (Michael Welzl)
Date: Tue Jul  6 10:29:51 2010
Subject: [Iccrg] MulTFRC update
Message-ID: <[email-masked]>

Hello,

We submitted an update of our MulTFRC draft, in which we tried to  
address the
comments that we have received. After it was presented to DCCP, and  
there,
it was said that ICCRG would be a better place for the draft, it is  
now called
draft-irtf-iccrg-multfrc-00.txt.
http://tools.ietf.org/html/draft-irtf-iccrg-multfrc-00.txt

The majority of the comments revolved around the possible problems with
implementing our equation; we have addressed this by including an  
appendix
in which it is discussed that our algorithm provided for this  
calculation will
not give underflow, overflow or rounding errors that will adversely  
affect the
result of the algorithm.

On our MulTFRC page:
http://heim.ifi.uio.no/~michawe/research/projects/multfrc/index.html

You will now also find two very small Java programs on this page,
which implement the TFRC and MulTFRC equations with a GUI, as
an easy means to test input / output values and obtain reference values
for validating an implementation.

Lachlan commented that the MulTFRC doesn't scale with the  
bandwidth*delay
product, which we addressed with a new paragraph under "usage  
considerations",
where we document this fact and explain that, for this reason, it is not
recommended to use MulTFRC as a fix to the problem of saturating very
large bandwidth*delay product paths.

It was also requested to have a reference which includes the equation's
derivation. MulTFRC was developed by Dragana Damjanovic in her Ph.D.  
thesis,
which is now finished, and available from our MulTFRC page. This  
document
includes the derivation of the equation and quite many results:
- validations of the equation using simulations and real-life  
measurements
- MulTFRC tests using simulations and real-life measurements

One small mistake that happened to me just now is that I forgot to  
explicitly
reference this document in the draft; sorry, I will fix this in the  
next update.

I intend to present this update at the upcoming ICCRG meeting.
Any comments are welcome!

Cheers,
Michael

From: [email-masked] (Michael Welzl)
Date: Fri Jul  2 11:25:03 2010
Subject: [Iccrg] next meeting @ IETF 78 in Maastricht, July 25-30
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Hi all,

So far, I only received this request, and a request from Jerry Chu to  
have a talk
on Google's Larger-Initial-Window proposal.

These talks area well in scope of ICCRG, although a bit more TCPM-like  
- but
as long as we have space on the agenda, they are surely welcome.

In addition to that, I would like to give an update of our MulTFRC work.

That's all we have on our agenda so far... so please, speak up in case  
you
want to give a talk.

Cheers,
Michael

On Jun 28, 2010, at 7:28 PM, Yuchung Cheng wrote:

> Hello Michael,
>
> I would like to request a slot of 15 min presentation:
>
> Title: Seeding TCP retransmission timer using SYN/SYNACK RTT sample
> Content: motivation, standard practice, and experiment results at  
> Google on TCP latency of seeding TCP RTO based on SYN/SYNACK RTT.
> Desired length: 15min.
>
> I will also submit a draft in early July.
>
> Thanks,
>
> Yu-chung
>
>
> On Mon, Jun 14, 2010 at 7:46 AM, Michael Welzl <[email-masked]>  
> wrote:
> Hi,
>
> We've requested a slot at the upcoming IETF meeting in Maastricht;
> if you'd like to present something, please send a message to Wes and
> me, telling us about the title, planned content, and desired length.
>
> Thanks!
>
> Cheers,
> Michael
>
> PS: JFYI, about future meetings: there are now ongoing discussions  
> about
> PFLDNet 2010, which is probably going to happen on 18 and 19 October
> at Franklin & Marshall College in Lancaster, Pennsylvania, with an  
> ICCRG
> meeting co-located on 17th. But please take this as tentative,  
> nothing is
> *formally* decided yet. About the Beijing IETF meeting, I really  
> don't know.
>
>
> _______________________________________________
> Iccrg mailing list
> [email-masked]
> http://oakham.cs.ucl.ac.uk/mailman/listinfo/iccrg
>